Pistis
API referenceConnections

Begin connecting your account to an MCP server with OAuth

POST
/connections/mcp/{server}/connect

For a server that connects with OAuth. Answers the authorization URL to open in a browser signed in to Pistis as you; the flow expires in ten minutes. A server that takes a pasted token answers 400.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

server*string

A per-person MCP server

Response Body

Begun

application/json
  1. response
url*string

Where to send the browser

expiresAt*integer

Until when (milliseconds since the epoch)

Example Request
curl -X POST 'http://127.0.0.1:7777/connections/mcp/linear/connect'
Example Response
{  "url": "string",  "expiresAt": 0}